import React from 'react';
import PropTypes from 'prop-types';
import { defaultStyles } from './NewPickerStyle';
interface placeholderProps {
    label?: string;
    value?: string;
    color?: string;
}
export default class RNPickerSelect extends React.Component<any, any> {
    static propTypes: {
        onValueChange: PropTypes.Validator<(...args: any[]) => any>;
        items: PropTypes.Validator<PropTypes.InferProps<{
            label: PropTypes.Validator<string>;
            value: PropTypes.Validator<any>;
            inputLabel: PropTypes.Requireable<string>;
            key: PropTypes.Requireable<NonNullable<string | number>>;
            color: PropTypes.Requireable<string>;
        }>[]>;
        value: PropTypes.Requireable<any>;
        placeholder: PropTypes.Requireable<PropTypes.InferProps<{
            label: PropTypes.Requireable<string>;
            value: PropTypes.Requireable<any>;
            key: PropTypes.Requireable<NonNullable<string | number>>;
            color: PropTypes.Requireable<string>;
        }>>;
        disabled: PropTypes.Requireable<boolean>;
        itemKey: PropTypes.Requireable<NonNullable<string | number>>;
        style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        children: PropTypes.Requireable<any>;
        onOpen: PropTypes.Requireable<(...args: any[]) => any>;
        useNativeAndroidPickerStyle: PropTypes.Requireable<boolean>;
        fixAndroidTouchableBug: PropTypes.Requireable<boolean>;
        doneText: PropTypes.Requireable<string>;
        onDonePress: PropTypes.Requireable<(...args: any[]) => any>;
        onUpArrow: PropTypes.Requireable<(...args: any[]) => any>;
        onDownArrow: PropTypes.Requireable<(...args: any[]) => any>;
        onClose: PropTypes.Requireable<(...args: any[]) => any>;
        modalProps: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        textInputProps: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        pickerProps: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        touchableDoneProps: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        touchableWrapperProps: PropTypes.Requireable<PropTypes.InferProps<{}>>;
        Icon: PropTypes.Requireable<(...args: any[]) => any>;
        InputAccessoryView: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: any;
    inputRef: any;
    static handlePlaceholder(obj: any): placeholderProps[];
    static getSelectedItem(data: any): {
        selectedItem: any;
        idx: any;
    };
    static getDerivedStateFromProps(nextProps: any, prevState: any): {
        selectedItem?: any;
        items?: placeholderProps[];
    };
    constructor(props: any);
    onUpArrow(): void;
    onDownArrow(): void;
    onValueChange(value: any, index: any): void;
    onOrientationChange(obj: any): void;
    setInputRef(ref: any): void;
    getPlaceholderStyle(): any;
    triggerOpenCloseCallbacks(): void;
    togglePicker(animate?: boolean, postToggleCallback?: any): void;
    renderPickerItems(): any;
    renderInputAccessoryView(): JSX.Element;
    renderIcon(): JSX.Element;
    renderTextInputOrChildren(): JSX.Element;
    renderIOS(): JSX.Element;
    renderAndroidHeadless(): JSX.Element;
    renderAndroidNativePickerStyle(): JSX.Element;
    renderWeb(): JSX.Element;
    render(): JSX.Element;
}
export { defaultStyles };
