"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const primary_color = '#ff3f6c';
const secondary_color = '#d4d5d9';
const text_color = '#282c3f';
const text_color_2 = '#a9abb3';
const text_color_3 = "#696e79";
const text_color_4 = "#93959e";
const all_sizes = ['XXS', 'XS', 'S', 'M', 'L', 'XL', 'XXL', '3XL'];
const BASE_URL = "https://d01.tryndbuy.com/";
//Event Names
const VTR_LANDING_PAGE = 'VTR Landing Page';
const EDIT_BODY_WIDGET_CLICK = 'Edit Body Widget Click';
const SIZE_WIDGET_CLICK = 'Size Widget Click';
const SIZE_TRIED = 'Size Tried';
const CUSTOMIZE_WIDGET_CLICK = 'Customize Widget Click';
const CUSTOMIZATION_CHANGE = 'Customization Item Change';
const DISMISS_CLICK = 'Dismiss Click';
const ENTER_DETAILS_PAGE = 'Enter Details Page';
const ENTER_DETAILS_PAGE_COMPLETE = 'Enter Details Page Complete';
const SHOPPABILITY_ICON_CLICK = 'Shoppability Icon Click';
const ADD_TO_BAG_CLICK = 'Add To Bag Click';
const GO_TO_BAG_CLICK = 'Go To Bag Click';
const ADD_TO_WISHLIST_CLICK = 'Add To Wishlist Click';
const GO_TO_WISHLIST_CLICK = 'Go To Wishlist Click';
const GETVDATA_CALLED = 'GetVData called';
const CHANGE_THEME = 'Theme Changed';
const VTR_SCREEN_LOAD = 'VTR Screen Load';
const LEFT_ARROW_CLICKED = 'Click on left arrow';
const RIGHT_ARROW_CLICKED = 'Click on right arrow';
const PERSONALISE_CLICKED = 'Click on personalise';
const SIZE_CLICKED = 'Click on size pill';
const CUSTOMISE_CLICKED = 'Click on customise';
const PLUS_ICON_CLICKED = 'Click on plus icon';
const CLOSE_ICON_CLICKED_VTR_HOME = 'Click on close button on top left';
const CLOSE_ICON_CLICKED_PERSONALISE = 'Click on close button on top right - cancel';
const PERSONALISE_LOAD = 'Personalise screen load';
const HEIGHT_INPUT = 'User inputs height';
const WEIGHT_INPUT = 'User inputs weight';
const BAND_SIZE_PILL = 'Click on band size pill';
const CUP_SIZE_PILL = 'Click on cup size pill';
const WAIST_SELECTION = 'Click on waist selection drop down';
const HIP_SELECTION = 'Click on Hip selection drop down';
const BODY_SHAPE_SELECTION = 'Click on body shape selection';
const ETHNICITY_PLUS_CLICKED = 'Click on + for changing ethnicity';
const ETHNICITY_MINUS_CLICKED = 'Click on - for changing ethnicity';
const DONE_CLICKED_PERSONALISE = 'Click on "Done"';
const SIZE_ITEM_CLICK = 'Click on size pill item';
const SIZE_CLOSE_CLICK = 'Click on close for Size';
const CUSTOMISE_TABS_CLICK = 'Click on Tabs in Customise';
const CUSTOMISE_TAB_ITEMS_CLICK = 'Click on option in Tab Items in Customise';
const CUSTOMISE_CLOSE_CLICK = 'Click on close for Customise';
const ADD_TO_BAG = 'Click on Add To Bag';
const ADD_TO_WISHLIST = 'Click on Add To Wishlist';
const callLogEventTNB = (uuid, eventName, eventData) => {
    var body = {
        UUID: uuid,
        DeviceID: '',
        EventType: eventName,
        Data1: eventData,
        Data2: '',
        Data3: '',
        Data4: ''
        // API will return model front image, back image, shadow image, small item images of top and bottom, list of SKUIDs of top and bottom applied on model.
    };
    axios_1.default.post(`${BASE_URL}/api/UpdateLogs/postLogs`, body, {
        headers: {
            AuthID: "123",
            UID: 'user@example.com'
        },
    })
        .then((response) => {
        console.log('callLogEventTNB response ', response);
    }).catch((error) => {
        console.log(error);
    });
};
const whitney_semibold = 'Whitney-Semibold';
const whitney_book = 'Whitney-Book';
const whitney_bookItalic = 'Whitney-BookItalic';
exports.default = {
    primary_color,
    secondary_color,
    text_color,
    text_color_2,
    text_color_3,
    text_color_4,
    all_sizes,
    BASE_URL,
    VTR_LANDING_PAGE,
    EDIT_BODY_WIDGET_CLICK,
    SIZE_WIDGET_CLICK,
    SIZE_TRIED,
    CUSTOMIZE_WIDGET_CLICK,
    DISMISS_CLICK,
    ENTER_DETAILS_PAGE,
    ENTER_DETAILS_PAGE_COMPLETE,
    SHOPPABILITY_ICON_CLICK,
    ADD_TO_BAG_CLICK,
    GO_TO_BAG_CLICK,
    ADD_TO_WISHLIST_CLICK,
    GO_TO_WISHLIST_CLICK,
    GETVDATA_CALLED,
    CHANGE_THEME,
    CUSTOMIZATION_CHANGE,
    VTR_SCREEN_LOAD,
    LEFT_ARROW_CLICKED,
    RIGHT_ARROW_CLICKED,
    PERSONALISE_CLICKED,
    SIZE_CLICKED,
    CUSTOMISE_CLICKED,
    PLUS_ICON_CLICKED,
    CLOSE_ICON_CLICKED_VTR_HOME,
    CLOSE_ICON_CLICKED_PERSONALISE,
    PERSONALISE_LOAD,
    HEIGHT_INPUT,
    WEIGHT_INPUT,
    BAND_SIZE_PILL,
    CUP_SIZE_PILL,
    WAIST_SELECTION,
    HIP_SELECTION,
    BODY_SHAPE_SELECTION,
    ETHNICITY_PLUS_CLICKED,
    ETHNICITY_MINUS_CLICKED,
    DONE_CLICKED_PERSONALISE,
    SIZE_ITEM_CLICK,
    SIZE_CLOSE_CLICK,
    CUSTOMISE_TABS_CLICK,
    CUSTOMISE_TAB_ITEMS_CLICK,
    CUSTOMISE_CLOSE_CLICK,
    ADD_TO_BAG,
    ADD_TO_WISHLIST,
    callLogEventTNB,
    whitney_semibold,
    whitney_book,
    whitney_bookItalic
};
//# sourceMappingURL=SceneUtils.js.map